SELECT
cdrug.drugname as ชื่อยา,
Sum(visitdrug.unit) AS จำนวน,
Cost*Sum(visitdrug.unit) as "มูลค่ายาทั้งปี",
format(((Cost*Sum(visitdrug.unit))/12),2) as มูลค่ายาที่ใช้ต่อเดือน,
round((Sum(visitdrug.unit)/12)) AS จำนวนการใช้ต่อเดือน
FROM
visitdrug
INNER JOIN visit ON visit.visitno = visitdrug.visitno
INNER JOIN cdrug ON visitdrug.drugcode = cdrug.drugcode
WHERE
visit.visitdate BETWEEN '2012-10-01' AND '2013-09-30' AND
cdrug.drugtype = '01'
GROUP BY
visitdrug.drugcode
ORDER BY มูลค่ายาทั้งปี DESC;